
/* 
 * Tactic is the legal property of its developers, whose names are too numerous 
 * to list here.  Please refer to the COPYRIGHT file distributed with this 
 * source distribution. 
 * 
 * This library is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation; either 
 * version 2.1 of the License, or (at your option) any later version. 
 * 
 * This library is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * Lesser General Public License for more details. 
 * 
 * You should have received a copy of the GNU Lesser General Public 
 * License along with this library; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 * See README for more informations
 *
 * OrderReconnaissance.cpp
 *
 * ...
 * Date 22/03/06
 *
 */
#include "OrderEvaluation.h"/*
#include "GroupPathFinder.h"
#include "GroundArmyInfo.h"
#include "GroundMap.h"
#include "Point2D.h"*/
#include "GroupAI.h"


OrderEvaluation::OrderEvaluation(){}

OrderEvaluation::OrderEvaluation(GroupAI* g) : Order(g)
{}

OrderEvaluation::~OrderEvaluation() {}

void OrderEvaluation::execute()
{
	DebugAI::trace('o', "Executing OrderEvaluation");

	Order::execute();
	myGroup->resetActions();

	DebugAI::trace('o', "OrderEvaluation Executed");
}

FuzzyValueName OrderEvaluation::getType()
{
	return ORDER_EVALUATION;
}